Package Details: neovim-git 0.4.0.r2116.geee0668818-1

Git Clone URL: https://aur.archlinux.org/neovim-git.git (read-only, click to copy)
Package Base: neovim-git
Description: Fork of Vim aiming to improve user experience, plugins, and GUIs.
Upstream URL: https://neovim.io
Keywords: editor vim
Licenses: custom:neovim
Conflicts: neovim
Provides: neovim=0.4.0.r2116.geee0668818
Submitter: fhahn
Maintainer: fwalch
Last Packager: fwalch
Votes: 213
Popularity: 4.76
First Submitted: 2014-02-21 19:50
Last Updated: 2020-11-03 17:55

Dependencies (20)

Required by (100)

Sources (1)

Pinned Comments

fwalch commented on 2016-07-04 19:52

Please don't flag this package out-of-date just because the version number displayed on AUR seems old. This is normal for VCS packages. As long as building the package works without problems, it isn't necessary to update the PKGBUILD here. makepkg will automatically retrieve the latest version when you build the package locally.

Latest Comments

« First ‹ Previous ... 16 17 18 19 20 21 22 23 24 25 26 ... Next › Last »

fwalch commented on 2014-08-19 10:35

@sekret: Created an upstream issue for that: https://github.com/neovim/neovim/pull/1087.

fwalch commented on 2014-08-19 09:49

@flu: It's an upstream issue, see https://github.com/neovim/neovim/pull/1086.

@sekret: PKGBUILD highlighting for vim is set in /usr/share/vim/vim74/filetype.vim. This is done by the following in vim's PKGBUILD:

# patch filetype.vim for better handling of pacman related files
sed -i "s/rpmsave/pacsave/;s/rpmnew/pacnew/;s/,\*\.ebuild/\0,PKGBUILD*,*.install/" \
"${pkgdir}"/usr/share/vim/${_versiondir}/filetype.vim
sed -i "/find the end/,+3{s/changelog_date_entry_search/changelog_date_end_entry_search/}" \
"${pkgdir}"/usr/share/vim/${_versiondir}/ftplugin/changelog.vim

beatgammit commented on 2014-08-11 18:35

@sekred - fix for PKGBUILDs; apparently the default filetype for PKGBUILD is conf, but it's really a shell script.

au BufNewFile,BufRead PKGBUILD set filetype=sh

sekret commented on 2014-08-09 19:13

I don't get syntax highlighting for PKGBUILD files! :(

fhahn commented on 2014-08-09 18:57

Thanks, I've updated the PKGBUILD.

Anonymous comment on 2014-08-09 02:25

Hi,

I saw a few issues in the PKGBUILD, so I made a patch. I'm never sure whether AUR users actually use the email address on their profile, so It's probably quicker to just post it here:

http://hastebin.com/raw/huhoficoti

The commit message should give a good explanation for everything, but if clarification is needed just ask.

edit: reposted with hastebin.com/raw/ as url, should be easier to read

Anonymous comment on 2014-08-09 02:12

Hi,

I saw a few issues in the PKGBUILD, so I made a patch. I'm never sure whether AUR users actually use the email address on their profile, so It's probably quicker to just post it here:

http://hastebin.com/huhoficoti.vhdl

The commit message should give a good explanation for everything, but if clarification is needed just ask.

Anonymous comment on 2014-08-09 02:09

Hi, I saw a few issues in the PKGBUILD so did some work on it. Everything should have an explanation in the commit message, but if any clarification is needed feel free to ask:

From 9ba2e98a12183637c737a263e0a86e2a6f3e3337 Mon Sep 17 00:00:00 2001
From: Michael Reed <supertron421@gmail.com>
Date: Fri, 8 Aug 2014 22:03:02 -0400
Subject: [PATCH] Various PKGBUILD simplifications/cleanups:

- Get rid of $_gitname in place of cloning the repo to $pkgname
- Get rid of unneeded $srcdir usage; all package functions start out in
$srcdir anyways
- Removed manual build dir creation; cmake does this automatically & the
NVim build instructions no longer recommend this.
- Bracketed two variables for consistency
- Removed unneeded quotes
- Removed empty conflicts()
- Removed gawk & sh from depends(); gawk is part of base-devel and is
assumed, regardless of what namcap says (it's frequently wrong), and
sh is already pulled in by multiple packages in base-devel so is not
needed
- Removed -DUSE_BUNDLED=Off; during building cmake complains that it is
an unused flag, and diff -ur confirms no difference in pkg.tar.xz
contents with and without it (besides the sha256sum of /usr/bin/nvim,
which is only because the binary is built non-deterministically).
- Source is now cloned directly using git as opposed to HTTPS for speed,

See the following
http://git-scm.com/book/en/Git-on-the-Server-The-Protocols
---
PKGBUILD | 21 +++++++++------------
1 file changed, 9 insertions(+), 12 deletions(-)

diff --git a/PKGBUILD b/PKGBUILD
index 8a9f009..ef806d8 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,18 +1,16 @@
# Maintainer: Florian Hahn <flo@fhahn.com>

pkgname=neovim-git
-_gitname=neovim
pkgdesc="Vim's rebirth for the 21st century"
license=('custom:neovim')
-pkgver=0.r1385.5f42ba6
+pkgver=0.r1426.19f44fd
pkgrel=1
-depends=('libuv' 'ncurses' 'msgpack' 'perl' 'gawk' 'sh')
+depends=('libuv' 'ncurses' 'msgpack' 'perl')
makedepends=('cmake' 'git' 'unzip' 'lua-lpeg' 'luajit' 'lua' 'lua-cmsgpack')
-conflicts=('')
provides=('neovim')
arch=('i686' 'x86_64')
url=('https://github.com/neovim/neovim')
-source=('git+https://github.com/neovim/neovim.git')
+source=("$pkgname::git://github.com/neovim/neovim.git")
md5sums=('SKIP')
install=neovim-git.install
optdepends=(
@@ -20,22 +18,21 @@ optdepends=(
)

pkgver() {
- cd "${srcdir}/${_gitname}"
+ cd "${pkgname}"
printf "0.r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

build() {
- cd "${srcdir}/${_gitname}"
- mkdir build && cd build
- cmake -G 'Unix Makefiles' -DCMAKE_BUILD_TYPE=Release -DUSE_BUNDLED=Off \
- -DCMAKE_INSTALL_PREFIX="/usr" ..
+ cd "${pkgname}"
+ cmake -G 'Unix Makefiles' -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr
make
}

package() {
- cd "${srcdir}/${_gitname}/build"
+ cd "${pkgname}"
DESTDIR="${pkgdir}" make install
- install -Dm644 "${srcdir}/${_gitname}/LICENSE" "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+ install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
}

# vim:set sw=2 sts=2 et:
--
2.0.4

Runiq commented on 2014-08-07 14:14

Hey,

I've uploaded a package for the Neovim Python client [1] for those of you who'd like to try out the Python plugin support.

Don't forget to add the config snippet [2] to your (n)vimrc file (and use "python2" instead of "python", obviously).

[1] https://aur.archlinux.org/packages/python2-neovim
[2] https://github.com/neovim/neovim/wiki/Python-plugins,-clipboard-integration-and-other-service-providers-through-msgpack-RPC-channels

fhahn commented on 2014-08-05 21:17

The PKGBUILD should be fixed now. Now CMAKE_INSTALL_PREFIX=/usr and DESTDIR="${pkgdir}" are used.